Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 76457 - Meta: apache package refresh tracker (Merge 08 Jan 2005, Unmask 27 Feb 2005, Stable 18 Sep 2005??)
Summary: Meta: apache package refresh tracker (Merge 08 Jan 2005, Unmask 27 Feb 2005, ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Apache Team - Bugzilla Reports
URL:
Whiteboard:
Keywords:
: 89885 (view as bug list)
Depends on: 33371 50611 58937 76460 77063 77074 77455 77539 77542 77547 77551 77556 77562 77564 77778 77781 77916 79429 79430 79431 79432 79434 79435 79436 79437 79438 79440 79443 79722 81738 83445
Blocks: 68026 77251 81244 81796
  Show dependency tree
 
Reported: 2005-01-02 16:20 UTC by Michael Stewart (vericgar) (RETIRED)
Modified: 2005-10-22 14:18 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-01-02 16:20:23 UTC
A bug for this probably should have been opened a long time ago.
Use this bug to track issues that need to be resolved before, during, and after the refresh that relate to the refresh.

I'm currently going through all the packages in the SVN overlay and will open bugs that block this bug for things I find.
Comment 1 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-01-25 00:46:22 UTC
http://dev.gentoo.org/~vericgar/doc/apache-package-refresh.html
This is a work-in-progress, but now contains instructions on how to update an ebuild to work with the new eclass.
Comment 2 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-02-05 11:24:38 UTC
Planned unmask date is Feb 12. I have a little bit of documentation to finish up and then I'm going to send out an announcement. If you have any blockers, please note them here. Thanks!
Comment 3 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-02-12 14:01:17 UTC
We need to come to a solution re: bug 81738, whether to use NEED_APACHE=x or need_apachex. See that bug for more details. This is a blocker though, because if we have to make those kinds of changes it will be quite a bit of work.
Comment 4 Elfyn McBratney (beu) (RETIRED) gentoo-dev 2005-02-12 14:09:20 UTC
Fwiw, I'm not happy that bug 81738 is a blocker - it clearly has no adverse effects wrt the dependency cache, or noticeable slow downs.  Perhaps we should worry about once the kde ebuilds have stopped playing such tricks ;-)
Comment 5 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-02-20 13:59:59 UTC
Bug 81738 is no longer a blocker.

We will unmask on 26 Feb unless any more blockers come up.
I will send out an announcement in a few hours.
Comment 6 Elfyn McBratney (beu) (RETIRED) gentoo-dev 2005-02-26 05:20:00 UTC
Bug 58560 is unrelated to our unmasking.
Comment 7 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-02-27 02:34:50 UTC
http://dev.gentoo.org/~vericgar/doc/apache-unmask-announce.txt

does anyone have any other possible blockers to unmasking? If not, I will send the announcement out, make the changes to package.mask, do a repoman scan on the entire tree (will take a bit of time......), and then commit if nothings broken. I won't be making changes to package.mask for any packages that aren't ours... (mod_php, subversion, etc).. also, I'm not going to touch the mod_dav_svn as pauldv seems to still be implementing it in his subversion ebuilds, so it's up to him if it's split out or not

I will be back on IRC at 26-Feb 1700 UTC to do so.
Comment 8 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-02-27 02:36:13 UTC
Correction: 27-Feb 1700 UTC... blah.
Comment 9 Paul de Vrieze (RETIRED) gentoo-dev 2005-02-27 02:58:05 UTC
Guys, the update instructions tell to use use_apache2. How do I use that with a useflag dependency. I need to conditionally depend on apache2.
Comment 10 Benedikt Böhm (RETIRED) gentoo-dev 2005-02-27 03:11:14 UTC
@vericgar: bug in the doc: it's need_apache{1,2} not use_apache{1,2}

@pauldv: you should use the function `need_apache` which will put apache2 in IUSE, so you can

if use apache2; then foo; else bar; fi
Comment 11 Paul de Vrieze (RETIRED) gentoo-dev 2005-02-27 03:28:48 UTC
benedikt. That won't work. I eiter use apache 2 or use nothing. I solved it now by just using the variable as defined in the eclass. I have the useflag allready there.
Comment 12 Benedikt Böhm (RETIRED) gentoo-dev 2005-02-27 03:42:15 UTC
maybe i got your problem wrong..!?
Comment 13 Paul de Vrieze (RETIRED) gentoo-dev 2005-02-27 03:56:46 UTC
@benedikt: Yes you did. The apache module for subversion is dependent on whether the apache2 useflag is specified. For this I need to conditionally depend on apache2.
Comment 14 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-02-27 18:49:36 UTC
Packages that are maintained by the apache herd have been unmasked. The others will need to be unmasked by their maintainers.
Comment 15 Wolfram Schlich (RETIRED) gentoo-dev 2005-03-01 02:21:11 UTC
added bug 83649 for the apcupsd modules.d-file
Comment 16 Csaba Tóth 2005-04-14 16:52:35 UTC
I don't see the mod_jk2 's bug. But it don't build with the new apache, because the libtool file is in another directory (before it was in the apache package, but now it is in the apr package: dev-libs/apr-0.9.6-r2 (/usr/share/apr-0/build/libtool)).
I check it's ebuild, but it has too much things to fix, and i can't fix it.
I don't know exactly what to do, that i shuolf fill a new bug and somehow depend on this bug, or it should do by this bug's submitter, or this isn't a bug, just i am a lame? So i wrote this here, and please fix it.

thanks,
tsabi
Comment 17 Jakub Moc (RETIRED) gentoo-dev 2005-04-21 04:07:57 UTC
Comment #16 - you should use mod_jk, not mod_jk2 (which in now unsupported and will be removed  - Bug 77834)
Comment 18 Wham 2005-05-17 13:15:01 UTC
Sorry, if this is under the wrong thread. I will create a new report if needed
but the title and description of this report leads me to believe this goes here.
Anyways...

I just began to install Apache today and found this document. The document is
shown to be last updated on 2005-02-26 so I assumed by now that 2.0.15-r4 would
be considered new but obviously not.


Can an update be made to
http://dev.gentoo.org/~vericgar/doc/apache-package-refresh.html so that version
numbers are shown in the Apache Path Locations. For example, versions
<=2.0.15-r4 refer to old paths and I was told on #gentoo-apache from an OP that
versions >= 2.0.15-r5 refer to new paths. So to avoid any possible confusion can
an update be to reflect which versions of Apache constitute old and new changes?
Thanks.
Comment 19 Michael Tindal (RETIRED) gentoo-dev 2005-05-28 20:52:50 UTC
Not necessarily.  I'll put a new document in my webspace sometime after our
meeting tomorrow to describe any further changes.  For now, stable (arch) refers
to old-style configs, unstable (~arch) refers to new-style configs.
Comment 20 Dirkjan Ochtman gentoo-dev 2005-08-13 15:01:32 UTC
Alright, a little ping: what is the status on this? Seems there is not a lot of
activity on this bug and its dependents (except for one, I think). When is this
getting to stable? There is a security bug in mod_python (3.1.4) being blocked
by this, as well as all the subversion goodies from 1.2, and probably lots of
other stuff.
Comment 21 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-09-04 22:56:41 UTC
Is there anything show-stopper holding new-style from going stable?
I've put up a proposed stable announcement at
http://dev.gentoo.org/~vericgar/doc/apache-stable-announce.txt that I intend to
send out Wednesday if there aren't any issues.
Comment 22 Paul de Vrieze (RETIRED) gentoo-dev 2005-09-05 01:06:50 UTC
As long as you send a reminder message to dev or core on the saturday before I
see no reasons not to go ahead. I do want the time to mark stable the proper
version of the subversion ebuild though.
Comment 23 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-09-17 18:24:35 UTC
*** Bug 89885 has been marked as a duplicate of this bug. ***
Comment 24 Michael Stewart (vericgar) (RETIRED) gentoo-dev 2005-10-22 14:18:08 UTC
New-style is stable, this can be closed.